/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *       
 * RSA is a public key system and named after their surnames' first  *
 * letters Rivest, Shamir and Adleman.                               *
 *                                                                   *
 * This code use the BeeCrypt library which can be downloaded from   *
 *     http://sourceforge.net/projects/beecrypt                      *
 *                                                                   *
 * You have to work in steps on the follow:                          *
 * Create a key pair with RSA_KeyGenerator(...)                      *
 *     The keys are stored as C-code in the specified file           *
 * For signing your need the private-key, to verify the public key   *
 *                                                                   *
 * The signature is casted to the ASCII Format which                 *
 * doubles the size but is easier to handle                          *
 * Sample: a 1024 bit key produces a 256 byte signature              *
 *         a 2048 bit key produces a 512 byte signature              *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include "wpch.hpp"

WBool RSA_KeyGenerator( const WChar* keyFile, WInt size=1024 );
WString RSA_Sign( const WString &message, const int* privateKey );
WBool RSA_Verify( const WString &message, const WString &signature, const int* publicKey );

