/*
 * config.win.h
 *
 * Win32 config file
 *
 * Copyright (c) 2000, 2001 Virtual Unlimited B.V.
 *
 * Author: Bob Deblier <bob@virtualunlimited.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef _CONFIG_WIN_H
#define _CONFIG_WIN_H

#define _REENTRANT

#if !defined(_WIN32_WINNT)
#define _WIN32_WINNT 0x0400
#endif
#include <windows.h>

#define WORDS_BIGENDIAN		0
#define ROTL32(x, s) _rotl(x, s)
#define ROTR32(x, s) _rotr(x, s)

#define HAVE_ERRNO_H			1
#define HAVE_STRING_H			1
#define HAVE_STDLIB_H			1
#define HAVE_CTYPE_H			1
#define HAVE_FCNTL_H			1
#define HAVE_TIME_H				1

#define HAVE_SYS_TYPES_H		0
#define HAVE_SYS_STAT_H			0
#define HAVE_SYS_TIME_H			0

#define HAVE_THREAD_H			0
#define HAVE_SYNCH_H			0
#define HAVE_PTHREAD_H			0
#define HAVE_SEMAPHORE_H		0

#define HAVE_TERMIO_H			0
#define HAVE_SYS_AUDIOIO_H		0
#define HAVE_SYS_IOCTL_H		0
#define HAVE_SYS_SOUNDCARD_H	0

#define HAVE_GETTIMEOFDAY		0
#define HAVE_GETHRTIME			0

#define HAVE_DEV_TTY			0
#define HAVE_DEV_AUDIO			0
#define HAVE_DEV_DSP			0
#define HAVE_DEV_RANDOM			0
#define HAVE_DEV_URANDOM		0
#define HAVE_DEV_TTY			0

#define HAVE_UNISTD_H			0
#define HAVE_MALLOC_H			1

#define HAVE_LONG_LONG			0

#define INT8_TYPE		char
#define INT16_TYPE		short
#define INT32_TYPE		long
#define INT64_TYPE		__int64
#define UINT8_TYPE		unsigned char
#define UINT16_TYPE		unsigned short
#define UINT32_TYPE		unsigned int
#define UINT64_TYPE		unsigned __int64
#define FLOAT4_TYPE		float
#define DOUBLE8_TYPE	double

#endif
